Bug 146863 - [patch] lang/ruby19: remove extra `-g' from CFLAGS and WITH_DEBUG ifdef
[patch] lang/ruby19: remove extra `-g' from CFLAGS and WITH_DEBUG ifdef
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: ruby
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-23 23:06 UTC by swell.k
Modified: 2010-08-31 05:00 UTC (History)
0 users

See Also:


Attachments
a.diff (1.35 KB, patch)
2010-05-23 23:06 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2010-05-23 23:06:32 UTC
- configure script adds `-g' by default

  : ${CFLAGS=} ${cflags='${optflags} ${debugflags} ${warnflags}'}
  test $ac_cv_prog_cc_g = yes && : ${debugflags=-g}

- WITH_DEBUG is defined in bsd.port.mk, no need to duplicate it
  here. The ifdef should be removed from lang/ruby18, too.

How-To-Repeat: $ make
...
gcc -O2 -pipe -fno-strict-aliasing -O2 -g -Wall -Wno-parentheses  -fPIC -I. -I.ext/include/amd64-freebsd9 -I./include -I.  -DRUBY_EXPORT   -o main.o -c main.c
Comment 1 pgollucci freebsd_committer 2010-05-24 23:02:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stas

Over to maintainer.
Comment 2 pgollucci freebsd_committer 2010-05-27 19:16:34 UTC
Responsible Changed
From-To: stas->freebsd-ruby

over to ruby@
Comment 3 pgollucci freebsd_committer 2010-06-07 20:24:41 UTC
Responsible Changed
From-To: freebsd-ruby->ruby

Cannonicalize assignment.
Comment 4 pgollucci freebsd_committer 2010-08-31 04:58:19 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 5 dfilter freebsd_committer 2010-08-31 04:58:24 UTC
pgollucci    2010-08-31 03:58:11 UTC

  FreeBSD ports repository

  Modified files:
    lang/ruby18          Makefile 
    lang/ruby19          Makefile 
  Log:
  - remove extra -g from CFLAGS
  - WITH_DEBUG is handled in Mk/bsd.port.mk
  
  PR:             ports/146863
  Submitted by:   Anonymous <swell.k@gmail.com>
  Silence from:   stas (maintainer)
  
  Revision  Changes    Path
  1.147     +0 -5      ports/lang/ruby18/Makefile
  1.7       +2 -6      ports/lang/ruby19/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"